import React from "react";

function TextInput({
  id,
  name,
  handler = () => {},
  value,
  placeholder,
  className,
  label,
  type,
}) {
  return (
    <div className="w-full">
      {label && (
        <label className="text-[#65656C] text-sm mb-[6px]" htmlFor={id}>
          {label}
        </label>
      )}
      <input
        className={` w-full bg-[#F8EBFF] text-sm px-3 py-4 rounded border border-primary-100 focus:outline-none outline-none `}
        id={id}
        name={name}
        onChange={handler}
        value={value}
        placeholder={placeholder}
        type={type ? type : "text"}
      />
    </div>
  );
}

export default TextInput;
